#
# spec file for package lcr
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:		lcr18
Version:	1.12
Release:	3.51
Group:		Productivity/Telephony/Servers
URL:		http://isdn.eversberg.eu/
Summary:	A PBX for ISDN
License:	GPL-2.0+
Source:		lcr-%version.tar.xz
Source1:	lcr.init
#Patch1:		lcr-misdnuser.diff
Patch2:		lcr-paths.diff
BuildRoot:      %_tmppath/%name-%version-build
BuildRequires:	asterisk18-devel, gcc-c++, mISDNuser-devel, ncurses-devel
BuildRequires:	pkgconfig, xz
%if 0%{?suse_version} >= 1130
BuildRequires:	pkgconfig(libcrypto)
%endif
%if 0%{?suse_version} > 0 && 0%{?suse_version} < 1130
BuildRequires:	openssl-devel
%endif
Recommends:	logrotate

%description
Linux-Call-Router is a real ISDN PBX which interconnects ISDN
telephones and ISDN lines. It is possible to connect telephones to a
Linux box. It is purely a software solution except for the ISDN cards
and telephones. The great benefit is the NT mode that allows to
connect telephones to an ISDN card. Special cards are needed and a
little bit of different cabling. It supports lots of features, that
only expensive PBXs have. It include a channel driver that can link
LCR to Asterisk PBX.

%package asterisk
Summary:	Asterisk chanenl plugin for accessing Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers

%description asterisk

%package tones-american
Summary:	American telephony tone set for Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers
%if 0%{?suse_version} >= 1130
BuildArch:	noarch
%endif

%description tones-american
American dial tone files for use with Linux Call Router (LCR).

%package tones-german
Summary:	German telephony tone set for Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers
%if 0%{?suse_version} >= 1130
BuildArch:	noarch
%endif

%description tones-german
German dial tone files for use with Linux Call Router (LCR).

%package tones-efi
Summary:	EFI telephony tone set for Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers
%if 0%{?suse_version} >= 1130
BuildArch:	noarch
%endif

%description tones-efi

%package vbox-english
Summary:	English voicebox sounds for Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers
%if 0%{?suse_version} >= 1130
BuildArch:	noarch
%endif

%description vbox-english
English audio files for Linux Call Router's voicebox interaction.

%package vbox-german
Summary:	German voicebox sounds for Linux Call Router (LCR)
Group:		Productivity/Telephony/Servers
%if 0%{?suse_version} >= 1130
BuildArch:	noarch
%endif

%description vbox-german
German audio files for Linux Call Router's voicebox interaction.

%prep
%if 0%{?__xz:1}
%setup -qn lcr
%else
tar -xf "%{S:0}" --use=xz;
%setup -DTqn lcr
%endif
%patch -P 2 -p1

%build
autoreconf -fi
%configure --with-asterisk
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
mkdir -p "$b/%_mandir/man1" "$b/%_mandir/man8";
install -pm0644 debian/*.1 "$b/%_mandir/man1/";
install -pm0644 debian/*.8 "$b/%_mandir/man8/";
mkdir -p "$b/%_sysconfdir/logrotate.d";
install -pm0644 debian/lcr.logrotate "$b/%_sysconfdir/logrotate.d/lcr";
install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/lcr
%files
%defattr(-,root,root)
%dir %_sysconfdir/lcr
%config(noreplace) %_sysconfdir/lcr/*
%config %_sysconfdir/logrotate.d/lcr
%_bindir/gentones
%_bindir/genwave
%_bindir/lcradmin
%_sbindir/genextension
%_sbindir/genrc
%_sbindir/lcr
%_mandir/man1/*
%_mandir/man8/*
%{_sysconfdir}/init.d/lcr

%files asterisk
%defattr(-,root,root)
%dir %_libdir/asterisk
%dir %_libdir/asterisk/modules
%_libdir/asterisk/modules/chan_lcr.so

%files tones-american
%defattr(-,root,root)
%dir %_datadir/lcr
%_datadir/lcr/tones_american

%files tones-efi
%defattr(-,root,root)
%dir %_datadir/lcr
%_datadir/lcr/tones_efi

%files tones-german
%defattr(-,root,root)
%dir %_datadir/lcr
%_datadir/lcr/tones_german

%files vbox-english
%defattr(-,root,root)
%dir %_datadir/lcr
%_datadir/lcr/vbox_english

%files vbox-german
%defattr(-,root,root)
%dir %_datadir/lcr
%_datadir/lcr/vbox_german
%changelog
* Thu Apr 12 2012 cs@linux-administrator.com
- Update to version 1.12
* Thu Apr 12 2012 cs@linux-administrator.com
- Update to version 1.11
* Mon Oct 24 2011 jengelh@medozas.de
- New package from scratch, shipping lcr 1.10
